Bug 242657 - firefox -g doesn't work
Summary: firefox -g doesn't work
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 11:04 UTC by Matěj Cepl
Modified: 2018-04-11 09:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 14:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matěj Cepl 2007-06-05 11:04:30 UTC
Description of problem:
Somewhere on the way from firefox 1.5.* to 2.* we lost ability to run firefox in
debugger (paramter -g). The detailed analysis follows.

Version-Release number of selected component (if applicable):
firefox-2.0.0.4-2.fc7

How reproducible:
100%

Steps to Reproduce:
1.run firefox -g
2.
3.
  
Actual results:
firefox runs just by itself without debugger

Expected results:
firefox runs inside gdb and gdb prompt is offered.

Additional info:

Comment 1 Stepan Kasal 2007-06-05 11:19:23 UTC
An observation:
In my firefox 1.5.0.12, there are three immersed scripts before we get to the
binary:
  /usr/bin/firefox
  /usr/lib/firefox-1.5.0.12/firefox
  /usr/lib/firefox-1.5.0.12/run-mozilla.sh
  /usr/lib/firefox-1.5.0.12/firefox-bin

With 2.0.0.4, /usr/bin/firefox calls /usr/lib/firefox-2.0.0.4/firefox-bin directly.
Script /usr/lib/firefox-1.5.0.12/firefox doe not exist anymore.
Script /usr/lib/firefox-2.0.0.4/run-mozilla.sh still contains the logic, but it
is not used.

I guess the simplest way to get -g --debug option is to reimplement it in
/usr/bin/firefox.  I do not know whether it is worth it to re-implement -d
--debugger, too.

Comment 2 Martin Stransky 2007-09-11 11:36:27 UTC
quite annoying. taking this one.

Comment 3 Martin Stransky 2007-09-26 12:00:13 UTC
The files (/usr/lib/firefox-xxx/firefox, /usr/lib/firefox-xxx/run-mozilla.sh)
are compiled and prepared for using, but they're not packaged. The fix should be
easy.

Comment 4 Martin Stransky 2007-09-26 14:35:46 UTC
fixed in rawhide.

Comment 5 Jian He 2008-01-08 15:08:29 UTC
dos it only fixed in rawhide? now I got this issue on firefox.x86_64 2.0.0.10-2.fc7



Note You need to log in before you can comment on or make changes to this bug.